Page MenuHomeFreeBSD

databases/rrdtool: Make groff a conditional dependency
ClosedPublic

Authored by koobs on Mar 19 2018, 10:08 AM.
Tags
None
Referenced Files
Unknown Object (File)
Feb 1 2024, 9:56 AM
Unknown Object (File)
Jan 20 2024, 3:13 AM
Unknown Object (File)
Jan 10 2024, 2:02 PM
Unknown Object (File)
Dec 22 2023, 12:56 AM
Unknown Object (File)
Dec 20 2023, 1:53 AM
Unknown Object (File)
Dec 14 2023, 12:06 AM
Unknown Object (File)
Nov 22 2023, 6:58 AM
Unknown Object (File)
Nov 22 2023, 6:58 AM
Subscribers

Details

Summary

Proposed commit log:

databases/rrdtool: Make groff a conditional dependency

groff is required by rrdtool to format documentation, which
is only required when documentation is being built.

Accordingly, make groff conditional on the existing DOCS option.

This precludes building a litany of dependencies, mostly due
to groff requiring ghostscript.

Approved by:		zeising (maintainer)
Differential_Revision:	D14732
MFH:			2018Q3

Note: portlint warnings not addressed in this changeset, will (should) be addressed in its own separate changeset

Test Plan
  • portlint: OK (0 warning delta, separate logical changes)
  • testport: OK (poudriere, DOCS off)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

koobs edited the summary of this revision. (Show Details)
koobs edited the summary of this revision. (Show Details)
This revision is now accepted and ready to land.Mar 19 2018, 5:26 PM
This revision was automatically updated to reflect the committed changes.